Bug 490639 - DBI interface does not work with postgresql on s390x
DBI interface does not work with postgresql on s390x
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl-DBD-Pg (Show other bugs)
4.7
s390x Linux
low Severity medium
: rc
: ---
Assigned To: Marcela Mašláňová
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 09:10 EDT by Petr Šplíchal
Modified: 2016-05-31 21:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-22 08:12:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A simple query reproducing the issue (826 bytes, text/plain)
2009-03-17 09:10 EDT, Petr Šplíchal
no flags Details

  None (edit)
Description Petr Šplíchal 2009-03-17 09:10:56 EDT
Created attachment 335520 [details]
A simple query reproducing the issue

Description of problem:
Perl's database interface behaves very strangely on s390x
architecture. After inserting a row into the DB, the SELECT
statement fetches undefs and empty strings. See the example
below.

Version-Release number of selected component (if applicable):
perl-DBI-1.40-9.s390x
perl-DBD-Pg-1.31-6.s390x

How reproducible:
Always

Steps to Reproduce:
1. create table
2. insert row
3. select row
See the attached reproducer for details.
  
Actual results:
$VAR1 = [
          [
            '',
            undef
          ]
        ];

Expected results:
$VAR1 = [
          [
            '0',
            'Pg DBI works OK'
          ]
        ];

Additional info:
The same test works OK on all other architectures.
Comment 2 Marcela Mašláňová 2010-02-22 08:12:52 EST
The last planned update of RHEL-4 will be focused on performance and security bugs only. This should be fixed in next release.

Note You need to log in before you can comment on or make changes to this bug.